Package com.sun.jna

# Class StructureReadContext

java.lang.Object
com.sun.jna.FromNativeContext
com.sun.jna.StructureReadContext

public class StructureReadContext extends FromNativeContext
Provide native to Java type conversion context for a `Structure` field read.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StructureReadContext(Structure struct, Field field)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Field`
  `getField()`
  Get the `Field` being read from native memory.
  `Structure`
  `getStructure()`
  Get the `Structure` the field is a member of.

  ### Methods inherited from class com.sun.jna.FromNativeContext

  `getTargetType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StructureReadContext

    StructureReadContext(Structure struct, Field field)

- ## Method Details

  - ### getStructure

    public Structure getStructure()
    Get the `Structure` the field is a member of.

  - ### getField

    public Field getField()
    Get the `Field` being read from native memory.